Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514160 - after fresh installation of oVirt 4.0 vdsmd.service fail. Found this error libvirtd[14170]: Could not find keytab file: /etc/libvirt/krb5.tab: No such file or directory
Summary: after fresh installation of oVirt 4.0 vdsmd.service fail. Found this error li...
Keywords:
Status: CLOSED EOL
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Host-Deploy
Version: ---
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: ---
: ---
Assignee: Sandro Bonazzola
QA Contact: Pavel Stehlik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-16 18:19 UTC by Jonas Lindholm
Modified: 2017-11-17 21:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-17 07:35:43 UTC
oVirt Team: Infra


Attachments (Terms of Use)
engine installation log (deleted)
2017-11-16 18:19 UTC, Jonas Lindholm
no flags Details
outout from journalctl -xe (deleted)
2017-11-16 18:20 UTC, Jonas Lindholm
no flags Details

Description Jonas Lindholm 2017-11-16 18:19:27 UTC
Created attachment 1353641 [details]
engine installation log

Description of problem:

after fresh installation on new host vdsmd don't start.
I got the same issue after trying to upgrade from 3.6 to 4.0 so that's why I instead try to install 4.0 on a new host but get the same issue.

Version-Release number of selected component (if applicable):

oVirt 4.0

How reproducible:

install oVirt 4.0 on fresh host

Steps to Reproduce:
1. install 4.0 and then vdsmd do not start
2.
3.

Actual results:

oVirt 4.0 failto install

Expected results:


oVirt 4.0 should work after installation

Additional info:

Comment 1 Jonas Lindholm 2017-11-16 18:20:56 UTC
Created attachment 1353642 [details]
outout from journalctl -xe

Comment 2 Michal Skrivanek 2017-11-17 06:28:47 UTC
Can you install 4.1? 4.0 is no longer supported

Comment 3 Yaniv Kaul 2017-11-17 06:39:25 UTC
This only happens on EL 7.4 due to libvirt authentication change and has been fixed in 4.1.5.

Comment 4 Sandro Bonazzola 2017-11-17 07:35:43 UTC
Closing with resolution End Of Life since 4.0 is not supported anymore.
Please update to oVirt 4.1 to get support for EL 7.4 or downgrade to EL 7.3 if for any reason you can't upgrade to 4.1 right now (but please do ASAP)

Comment 5 Jonas Lindholm 2017-11-17 15:16:08 UTC
This host is running 7.3

# cat /etc/redhat-release 
CentOS Linux release 7.3.1611 (Core) 

so it seems the bug is not related to the OS release.

Comment 6 Michal Skrivanek 2017-11-17 15:50:03 UTC
not really, you have libvirt from 7.4

Comment 7 Jonas Lindholm 2017-11-17 17:10:58 UTC
I just updated OS to 7.4 but I know get this:

Nov 17 11:25:22 us08devovirt41hv01 kernel: ip6_tables: (C) 2000-2006 Netfilter Core Team
Nov 17 11:25:22 us08devovirt41hv01 kernel: Ebtables v2.0 registered
Nov 17 11:25:22 us08devovirt41hv01 python[1414]: GSSAPI client step 1
Nov 17 11:25:22 us08devovirt41hv01 python[1414]: GSSAPI Error: Unspecified GSS failure.  Minor code may provide more information (No Kerberos credentials available (default cache: KEYRING:persistent:0))
Nov 17 11:25:22 us08devovirt41hv01 vdsm-tool[1414]: libvirt: XML-RPC error : authentication failed: Failed to start SASL negotiation: -1 (SASL(-1): generic failure: GSSAPI Error: Unspecified GSS failure.  Minor code may provide more information (No Kerberos credentials available (default cache: KEYRING:persistent:0)))
Nov 17 11:25:22 us08devovirt41hv01 libvirtd[1112]: 2017-11-17 16:25:22.826+0000: 1112: info : libvirt version: 3.2.0, package: 14.el7_4.3 (CentOS BuildSystem <http://bugs.centos.org>, 2017-09-07-11:27:44, c1bm.rdu2.centos.org)
Nov 17 11:25:22 us08devovirt41hv01 libvirtd[1112]: 2017-11-17 16:25:22.826+0000: 1112: info : hostname: us08devovirt41hv01
Nov 17 11:25:22 us08devovirt41hv01 libvirtd[1112]: 2017-11-17 16:25:22.826+0000: 1112: error : virNetSocketReadWire:1808 : End of file while reading data: Input/output error
Nov 17 11:25:23 us08devovirt41hv01 python[1414]: GSSAPI client step 1
Nov 17 11:25:23 us08devovirt41hv01 python[1414]: GSSAPI Error: Unspecified GSS failure.  Minor code may provide more information (No Kerberos credentials available (default cache: KEYRING:persistent:0))

Comment 8 Jonas Lindholm 2017-11-17 21:21:18 UTC
I just reinstalled the OS to 7.4 and then added it to oVirt. This time it worked and the host status is up.


Note You need to log in before you can comment on or make changes to this bug.